5.5.11-20.2 Possible race condition - test main.percona_bug643149

Bug #770296 reported by Valentine Gostev on 2011-04-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
percona-projects-qa
Undecided
Alexey Kopytov

Bug Description

Percona Server release-5.5.11-20.2 rev 114
Met strange behavior during MTR running. If we run all test suites (./mtr --force) test main.percona_bug643149 fails. If we run this test explicitely (./mtr main.percona_bug643149). Discovered on Hardy and Lenny.

Facility: offbuild3
VM IDs: 511, 512, 513

Example of failure:
CURRENT_TEST: main.percona_bug643149
--- /usr/share/mysql-test/r/percona_bug643149.result 2011-04-22 01:26:57.000000000 +0300
+++ /usr/share/mysql-test/r/percona_bug643149.reject 2011-04-26 03:31:45.541865232 +0300
@@ -6,7 +6,14 @@
 SELECT SLEEP(2);
 SLEEP(2)
 0
-# Time: X X:X:X // one whitespace
+# Time: X X:X:X // two whitespaces
+# User@Host: root[root] @ localhost []
+# Thread_id: X Schema: test Last_errno: X Killed: X
+# Query_time: X.X Lock_time: X.X Rows_sent: X Rows_examined: X Rows_affected: X Rows_read: X
+# Bytes_sent: X Tmp_tables: X Tmp_disk_tables: X Tmp_table_sizes: X
+# Profile_starting: X.X Profile_starting_cpu: X.X Profile_checking_permissions: X.X Profile_checking_permissions_cpu: X.X Profile_Opening_tables: X.X Profile_Opening_tables_cpu: X.X Profile_init: X.X Profile_init_cpu: X.X Profile_optimizing: X.X Profile_optimizing_cpu: X.X Profile_executing: X.X Profile_executing_cpu: X.X Profile_User_sleep: X.X Profile_User_sleep_cpu: X.X Profile_end: X.X Profile_end_cpu: X.X Profile_query_end: X.X Profile_query_end_cpu: X.X Profile_closing_tables: X.X Profile_closing_tables_cpu: X.X Profile_freeing_items: X.X Profile_freeing_items_cpu: X.X Profile_logging_slow_query: X.X Profile_logging_slow_query_cpu: X.X
+# Profile_total: X.X Profile_total_cpu: X.X
+# Time: X X:X:X
 # User@Host: root[root] @ localhost []
 # Thread_id: X Schema: test Last_errno: X Killed: X
 # Query_time: X.X Lock_time: X.X Rows_sent: X Rows_examined: X Rows_affected: X Rows_read: X

mysqltest: Result content mismatch

It occurs only sometimes

description: updated
Changed in percona-projects-qa:
assignee: nobody → Alexey Kopytov (akopytov)
Valentine Gostev (longbow) wrote :

Also fails on FreeBSD

Changed in percona-projects-qa:
status: New → Confirmed
tags: added: freebsd
Valentine Gostev (longbow) wrote :

on BSD:

main.percona_bug643149 [ fail ]
        Test ended at 2011-05-21 10:01:46

CURRENT_TEST: main.percona_bug643149
--- /root/Percona-Server-5.5.12-rel20.3-111.FreeBSD.amd64/mysql-test/r/percona_bug643149.result 2011-05-17 20:08:33.000000000 +0300
+++ /root/Percona-Server-5.5.12-rel20.3-111.FreeBSD.amd64/mysql-test/r/percona_bug643149.reject 2011-05-21 06:01:46.000000000 +0300
@@ -6,7 +6,7 @@
 SELECT SLEEP(2);
 SLEEP(2)
 0
-# Time: X X:X:X
+# Time: X X:X:X
 # User@Host: root[root] @ localhost []
 # Thread_id: X Schema: test Last_errno: X Killed: X
 # Query_time: X.X Lock_time: X.X Rows_sent: X Rows_examined: X Rows_affected: X Rows_read: X

mysqltest: Result content mismatch

Changed in percona-projects-qa:
milestone: none → 5.5.12-20.3
Changed in percona-projects-qa:
status: Confirmed → Fix Committed
Changed in percona-projects-qa:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers